---
lang: en-us
---

# systemd-infrastructure

Infrastructure for backing containers up

## How to add services

If you create pods or containers, then you can easily let Podman generate systemd services for you. [Man page](https://docs.podman.io/en/latest/markdown/podman-generate-systemd.1.html).

Examples for creating pods and containers are in the [compose repo](https://git.fl1tzi.com/server/compose).

## Backup

Both `backup.service` and `backup-schedule.timer` need to be present in the systemd user folder.

`backup.service` gets started by `backup-schedule.timer` on the schedule that is defined in `backup-schedule.timer`.

**The backup script has to be configured correctly!**

